OS and Tool-Chain Compatibility - 2024.1 English

Vitis Unified Software Platform Documentation: Application Acceleration Development (UG1393)

Document ID
UG1393
Release Date
2024-07-03
Version
2024.1 English

The VSC tools should work with any Linux distribution which is compatible with RHEL/CentOS 8 toolchain (including gcc-8.3 and binutils-2.30).

RHEL/CentOS 7 is also supported, with the following requirements for building and running:
  1. Use of devtoolset-8. For example:
    • It can be installed with sudo yum install devtoolset-8
    • It can be used in a shell as scl enable devtoolset-8 bash for Vitis compilation
  2. The host code needs to be compiled with this flag: -D_GLIBCXX_USE_CXX11_ABI=0 explicitly when compiling with g++.
    Tip: When using the VSC template Makefile this is automatically handled, as described above.
  3. Final linking needs to use ${XILINX_VITIS}/system_compiler/lib/centos7/libvpp_acc.a.
Important: Because of the need to disable the use of CXX11 ABI while building on RHEL/CentOS 7, the executable cannot be run on a RHEL/CentOS 8 platform, and vice versa.